Author: Ralf Treinen <treinen@debian.org>
Description: avoid bashism in clean target, don't kill all executables

Index: ocaml-gnuplot/Makefile
===================================================================
--- ocaml-gnuplot.orig/Makefile	2012-01-26 15:19:27.000000000 +0100
+++ ocaml-gnuplot/Makefile	2012-01-26 15:48:28.000000000 +0100
@@ -171,10 +171,9 @@
 
 .PHONY: clean dist-clean
 clean:
-	@ rm -f *~ .*~ *.{o,a} *.cm[aiox] *.cmxa *.annot
+	@ rm -f *~ .*~ *.[oa] *.cm[aiox] *.cmxa *.annot *.exe
 	@ rm -f $(GENERATED_SOURCES0) $(GENERATED_SOURCES1)
 	@ rm -rf $(PKGNAME).html $(PKG_TARBALL)
-	@ find . -type f -perm -u=x -exec rm -f {} \;
 	@ if [ -d ./html ]; then rm -rf ./html; fi
 	cd demos; $(MAKE) clean
 
